Loading...
Searching...
No Matches
casacore::AutoDiffIO_global_functions_AutoDiff_IO_operations Struct Reference
scimath package (libcasa_scimath) » Mathematics_module

More...

`#include <AutoDiffIO.h>`

## Public Member Functions

template<class T>
ostream & | operator<< (ostream &os, const AutoDiff< T > &ad)

## Detailed Description

Implements all IO operators and functions for AutoDiff.

### Review Status

Reviewed By:
  UNKNOWN
Date Reviewed:
  before2004/08/25
Test programs:
  tAutoDiff

### Prerequisite

- AutoDiff class

### Etymology

Implements all IO operators and functions for AutoDiff.

### To Do

- Nothing I know of

Definition at line 59 of file AutoDiffIO.h.

## Member Function Documentation

## operator<<()

template<class T>

ostream & casacore::AutoDiffIO_global_functions_AutoDiff_IO_operations::operator<< | ( | ostream & | os,
|  | const AutoDiff< T > & | ad )

The documentation for this struct was generated from the following file:

- scimath/Mathematics/AutoDiffIO.h